import axios from "axios";
import { INonce } from "src/models/Nonce.Model";
import { getApiHost } from "./GetApiHost";

export const getSysAdminNonce = async (): Promise<INonce> => {
    try {
        const response = await axios.get<INonce>(`${getApiHost()}/sysadmin-challenges/create`, {
            headers: {
                "Content-Type": "application/json",
            },
        });

        if (response.status !== 201) {
            throw new Error("Ha ocurrido un error al generar el nonce, por favor intente nuevamente.");
        }

        if (!response.data) {
            throw new Error("Ha ocurrido un error al generar el nonce, por favor intente nuevamente.");
        }

        return response.data as INonce;
    } catch (e) {
        console.error(e);
        throw new Error("Ha ocurrido un error al generar el nonce, por favor intente nuevamente.");
    }
};
